commit:     fa26933805b075907f1362f75eb72a7e0c663b51
Author:     Jonathan Davies <jpds <AT> protonmail <DOT> com>
AuthorDate: Thu Mar 18 00:23:20 2021 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Sat Apr  3 04:15:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa269338

sys-apps/selinux-python: Version updated to 3.2.

Signed-off-by: Jonathan Davies <jpds <AT> protonmail.com>
Signed-off-by: Jason Zaman <perfinion <AT> gentoo.org>

 sys-apps/selinux-python/Manifest                  |  1 +
 sys-apps/selinux-python/selinux-python-3.2.ebuild | 85 +++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/sys-apps/selinux-python/Manifest b/sys-apps/selinux-python/Manifest
index b5467d1670a..ef17a3d066a 100644
--- a/sys-apps/selinux-python/Manifest
+++ b/sys-apps/selinux-python/Manifest
@@ -1 +1,2 @@
 DIST selinux-python-3.1.tar.gz 2100549 BLAKE2B 
c5d207bad60c379259e3bfc8f029f76d4572818cdd41a263498ed4434a70eaf7ff51af7772cfb27de0e9e4af03bcf9906ab0f6a59e88de10e81cbe0e8c5928b8
 SHA512 
5dd98f77ae8ea8bac6a89ec7def76e12496b9a9f8c9612c4cc1dac7a8e8c60380a00c857426bfefbcb4273706addd2594e9b467f69408ef284f082a09d45bd49
+DIST selinux-python-3.2.tar.gz 2101106 BLAKE2B 
b4b185a7468de68eb2146011a9bc82ffb7db9878517833c1e8dfa23279aec3dfbf46a27b70b17c1e317a2c939bcf6d1748638fd4a078325b853de34ae3c51a6f
 SHA512 
2c3483e27c4ad6942e23e39897e0eccf61b95d685ace62315678cb49739d300d4ca4a7a51fa7a9aacaa98737446a70923855d15827eb6275ffd6999be0b2a755

diff --git a/sys-apps/selinux-python/selinux-python-3.2.ebuild 
b/sys-apps/selinux-python/selinux-python-3.2.ebuild
new file mode 100644
index 00000000000..def193bf03d
--- /dev/null
+++ b/sys-apps/selinux-python/selinux-python-3.2.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_REQ_USE="xml"
+
+inherit python-r1 toolchain-funcs
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DESCRIPTION="SELinux core utilities"
+HOMEPAGE="https://github.com/SELinuxProject/selinux/wiki";
+
+if [[ ${PV} == 9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/SELinuxProject/selinux.git";
+       S="${WORKDIR}/${P}/${PN#selinux-}"
+else
+       
SRC_URI="https://github.com/SELinuxProject/selinux/releases/download/${PV}/${P}.tar.gz";
+       KEYWORDS="~amd64 ~arm64 ~mips ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+DEPEND=">=sys-libs/libselinux-${PV}:=[python]
+       >=sys-libs/libsemanage-${PV}:=[python(+)]
+       >=sys-libs/libsepol-${PV}:=
+       >=app-admin/setools-4.2.0[${PYTHON_USEDEP}]
+       >=sys-process/audit-1.5.1[python,${PYTHON_USEDEP}]
+       ${PYTHON_DEPS}"
+
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+       sed -i 's/-Werror//g' "${S}"/*/Makefile || die "Failed to remove Werror"
+
+       python_copy_sources
+}
+
+src_compile() {
+       building() {
+               emake -C "${BUILD_DIR}" \
+                       CC="$(tc-getCC)" \
+                       LIBDIR="\$(PREFIX)/$(get_libdir)"
+       }
+       python_foreach_impl building
+}
+
+src_install() {
+       installation() {
+               emake -C "${BUILD_DIR}" \
+                       DESTDIR="${D}" \
+                       LIBDIR="\$(PREFIX)/$(get_libdir)" \
+                       install
+               python_optimize
+       }
+       python_foreach_impl installation
+
+       # Set version-specific scripts
+       for pyscript in audit2allow sepolgen-ifgen sepolicy chcat; do
+               python_replicate_script "${ED}/usr/bin/${pyscript}"
+       done
+       for pyscript in semanage; do
+               python_replicate_script "${ED}/usr/sbin/${pyscript}"
+       done
+
+       # Create sepolgen.conf with different devel location definition
+       if [[ -f /etc/selinux/config ]];
+       then
+               local selinuxtype=$(awk -F'=' '/^SELINUXTYPE/ {print $2}' 
/etc/selinux/config);
+               mkdir -p "${D}"/etc/selinux || die "Failed to create selinux 
directory";
+               echo 
"SELINUX_DEVEL_PATH=/usr/share/selinux/${selinuxtype}/include:/usr/share/selinux/${selinuxtype}"
 > "${D}"/etc/selinux/sepolgen.conf;
+       else
+               local selinuxtype="${POLICY_TYPES%% *}";
+               if [[ -n "${selinuxtype}" ]];
+               then
+                       echo 
"SELINUX_DEVEL_PATH=/usr/share/selinux/${selinuxtype}/include:/usr/share/selinux/${selinuxtype}"
 > "${D}"/etc/selinux/sepolgen.conf;
+               else
+                       echo 
"SELINUX_DEVEL_PATH=/usr/share/selinux/strict/include:/usr/share/selinux/strict"
 > "${D}"/etc/selinux/sepolgen.conf;
+               fi
+       fi
+}

Reply via email to